QGIS Application - Bug report #1351
WMS and DB connections should have a per connection proxy enable/disable option
2008-10-14 01:16 PM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11411
Description

I don't know if this is really a bug or an enhancement request. In my situation it is a bug - a real problem.

I have to to use a proxy to access http resources. For external WMS | need to use a proxy (with user/password). However, for local WMS
(for a certain IP range) | don't want to use the proxy. It would not even work with a proxy for my local WMS connections (maybe the admin
did a broken proxy configuration?)

My request is therefore that for each WMS and DB connection there should be a checkbox (use proxy or not). Default would be without
proxy. We could still make use of the global proxy configuration as described in https://trac.osgeo.org/qgis/changeset/8649 - usually there

is only one proxy, so a disable/enable per connection should work.

Thank you for having a look at my request!

History

#1 - 2008-12-09 01:58 AM - Andreas Neumann

alternatively to my suggestion above it might be better to introduce a lists of IP-Adresses/Server names which should not use the global proxy settings.
QGIS could use a pattern matching to see if the WMS request starts with these addresses/servernames and if not use the proxy.

This would perhaps be the easiest way to distinguish local from remote systems, where local machines shouldn't use the proxy and remote machines

should. One could extend the proxy tab in the QGIS Options dialogue with a "proxy exceptions" list-management option where one can add, edit and

remove servers, similar to the WMS/WFS dialogues.

#2 - 2009-03-21 05:30 AM - Andreas Neumann
- Resolution set to fixed
- Status changed from Open to Closed

this is now addressed with the proxy exceptions, available in trunk.

#3 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
